"use strict";

const assureArray = require("assure-array");
const defaultTo = require("@validatem/default-to");

const validateArguments = require("./validate-arguments");

module.exports = function (args, optionsRules) {
	let result = validateArguments(args, [
		[ "options", defaultTo({}) ].concat(assureArray(optionsRules))
	]);

	return result[0];
};
